diff --git a/channels/chan_sip.c b/channels/chan_sip.c
index 23b8fa6537..2059c94cda 100644
--- a/channels/chan_sip.c
+++ b/channels/chan_sip.c
@@ -23289,6 +23289,7 @@ static int func_header_read(struct ast_channel *chan, const char *function, char
 	/* If there is no private structure, this channel is no longer alive */
 	if (!p) {
 		ast_channel_unlock(chan);
+		ast_log(LOG_WARNING, "Channel %s is no longer alive.\n", ast_channel_name(chan));
 		return -1;
 	}
 
@@ -23297,6 +23298,7 @@ static int func_header_read(struct ast_channel *chan, const char *function, char
 
 	if (ast_strlen_zero(content)) {
 		ast_channel_unlock(chan);
+		ast_log(LOG_WARNING, "Header %s does not exist or is empty in channel %s.\n", args.header, ast_channel_name(chan));
 		return -1;
 	}
 
